<script setup lang="ts">

</script>

<template>
<div class="flex flex-col px-3 max-w-2xl mx-auto">
  <h1 class="text-2xl font-bold mb-3">Informations générales</h1>

  <v-sheet>
    <div class="flex justify-around align-baseline flex-col md:flex-row">
      <h2 class="text-lg font-bold mt-3 mb-2 text-center md:text-left">Besoin d'aide pendent la session de vote ?</h2>
      <div class="flex flex-col justify-center m-3 md:m-0">
        <v-btn to="/help" color="error" variant="outlined" append-icon="mdi-help-circle">
          Page dédiée
        </v-btn>
      </div>
    </div>
  </v-sheet>

  <section class="my-2">
    <h2 class="text-lg font-bold mt-3 mb-2">Comment voter ?</h2>
    <p>Une explication de l'utilisation est donnée en début de séance. Mais pour résumer :</p>
    <ul class="ml-3 list-disc">
      <li>Vous devez avoir le <b>droit de vote</b>. Par exemple en AG ce sont les membres étudiants de l'AGEPoly et à la CdR les délégué·e·s (les CdA n'utilisent pas le système de vote).</li>
      <li>Vous avez besoin d'un <b>smartphone</b> ou d'un ordinateur.</li>
      <li>Vous devez <b>être présent</b> dans la salle où se tient la séance. Un ticket de présence vous sera remi. Vous devrez le scanner et le rendre en fin de séance. Les listes de présence sont publiques.</li>
      <li>Vous pourrez ensuite <b>voter sur votre appareil</b> et <b>consulter les résultats</b> dès qu'ils seront disponibles.</li>
    </ul>
  </section>

  <section class="my-2">
    <h2 class="text-lg font-bold mt-3 mb-2">Comment fonctionne le système de vote ?</h2>
    <p>Un document a été rédigé pour expliquer le principe de fonctionnement avec un niveau de détail progressif.</p>
    <div class="flex justify-center mt-3">
      <v-btn href="https://go.epfl.ch/agevote-slides" target="_blank" color="primary" append-icon="mdi-information">
        Présentation Générale
      </v-btn>
    </div>
  </section>
</div>
</template>
